/************************************************************************/
/*																		*/
/*	AMP2.h	--	Declaration for AMP2 library 	    					*/
/*																		*/
/************************************************************************/
/*	Author:		Eric Marsh												*/
/*	Copyright 2016, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*	This file declares the AMP2 library functions and the constants	    */
/*	involved.															*/
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	06/28/2016(EricM): created											*/
/*																		*/
/************************************************************************/
#if !defined(AMP2_H)
#define AMP2_H

/* ------------------------------------------------------------ */
/*				Include File Definitions						*/
/* ------------------------------------------------------------ */
#include <inttypes.h>
#include <DSPI.h>

/* ------------------------------------------------------------ */
/*					Definitions									*/
/* ------------------------------------------------------------ */
#define AMP2_SPI_FREQ	1000000 // 1 MHz - spi freq
#define	PAR_ACCESS_SPI0			0
#define	PAR_ACCESS_SPI1			1

/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */

class AMP2 {
private: 
	DSPI *pdspi;
	uint8_t m_SSPin;
	int lightLevel;

public:
	AMP2 ();
	void begin(uint8_t bAccessType, uint32_t spd = AMP2_SPI_FREQ, uint8_t SSpin = NULL);
	void PlayFreq(double freqHz, int durationMs);
};

#endif